Skip to main content
POST
Authorize shop

Authorizations

Authorization
string
header
required

Access token from POST /v2/oauth2/token, requested with an API credential. See https://api-docs.quivo.co/api-reference/authentication.

Body

application/json

Request body data for Authorize shop

Request payload for authorizing and connecting a shop integration. Contains shop system credentials, API keys, and connection configuration.

shopType
enum<string>
required

The type or category of the shop

Available options:
AMAZON,
WIX,
OTTO_MARKETPLACE,
SHOPIFY,
TIKTOK,
NOON
oauthCode
string

Code or identifier

redirectUri
string

The redirect uri

authUrl
string

URL or web address

state
string

State or province

Response

Returns confirmation of the shop authorization and connection status.

Result of authorizing a shop integration. Contains authorization status, connection identifier, and access tokens.

status
string

The current status of the item

refreshToken
string

The token from the shop authorization. For most shop systems this is a refresh token. For OTTO Market it is the installation ID.

message
string

Message content

shopId
integer<int64>

The unique identifier for the shop